# $Revision: 1.9 $, $Date: 2009/09/10 17:56:32 $
%define		plugin	check_multipath
Summary:	Nagios plugin to check the state of Linux device mapper multipath devices
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania stanu urządzeń multipath device mappera
Name:		nagios-plugin-%{plugin}
Version:	1.2
Release:	2
License:	GPL v2
Group:		Networking
Source0:	%{name}.sh
URL:		http://www.nagiosexchange.org/cgi-bin/page.cgi?g=Detailed/1996.html
Requires(post,postun):	sudo
Requires:	awk
Requires:	multipath-tools
Requires:	nagios-core
Requires:	nagios-plugins-libs
Requires:	sudo
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		_sysconfdir	/etc/nagios/plugins

%description
Nagios plugin to check the state of Linux device mapper multipath
devices.

%description -l pl.UTF-8
Wtyczka Nagiosa do sprawdzania stanu urządzeń multipath linuksowego
device mappera.

%prep
%setup -qcT
install %{SOURCE0} %{plugin}

cat > nagios.cfg <<'EOF'
# Usage:
# %{plugin}
define command {
	command_name    %{plugin}
	command_line    %{plugindir}/%{plugin}
}

define service {
	use                     generic-service
	name                    multipath
	service_description     multipath
	register                0

	normal_check_interval   15
	notification_interval   300

	check_command           check_multipath
}
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -a nagios.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q '^Cmnd_Alias MULTIPATH' /etc/sudoers; then
	cat >> /etc/sudoers <<-'EOF'
		User_Alias MULTIPATH=nagios
		Cmnd_Alias MULTIPATH=/sbin/multipath -l,/sbin/lsmod
		Defaults:MULTIPATH !syslog
		MULTIPATH ALL=(root) NOPASSWD: MULTIPATH
	EOF
fi

%postun
if [ "$1" = 0 ]; then
	%{__sed} -i -e '/MULTIPATH/d' /etc/sudoers
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_multipath.spec,v $
Revision 1.9  2009/09/10 17:56:32  glen
- handle LUN-s without bindings file map; rel 2

Revision 1.8  2009/09/10 17:48:50  glen
- updated for newer multipath tools (th)
- added service template
- version 1.2

Revision 1.7  2008/04/08 18:39:40  glen
- disable sudo logging noise (fixed commands anyway)

Revision 1.6  2008-04-02 19:47:21  glen
- nagio sexchange site has changed, new url
- R: multipath-tools

Revision 1.5  2008-04-02 19:33:44  glen
- add sudo entry for nagios to invoke /sbin/multipath -l

Revision 1.4  2008-03-02 00:21:48  qboosh
- pl

Revision 1.3  2008-02-13 15:38:43  glen
- R: awk

Revision 1.2  2007/10/24 21:37:45  glen
- R: nagios-plugins-libs for utils.sh

Revision 1.1  2007/10/24 21:15:55  glen
- new
